com.aspose.ocr

## Class GaussBlurFilter

- java.lang.Object
- - com.aspose.ocr.Filter
  - - com.aspose.ocr.GaussBlurFilter

-     public class GaussBlurFilter
      extends Filter

  Represents Gauss blur filtration.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GaussBlurFilter()` Initializes a new instance of the GaussBlurFilterOld class.
    `GaussBlurFilter(int size, float sigm)` Initializes a new instance of the GaussBlurFilterOld class.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getSigm()` Gets sigm parameter.
    `int` | `getSize()` Gets size of a filter.
    `void` | `setSigm(float value)` Sets sigm parameter.
    `void` | `setSize(int value)` Sets size of a filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GaussBlurFilter

          public GaussBlurFilter()

      Initializes a new instance of the GaussBlurFilterOld class.

    - #### GaussBlurFilter

          public GaussBlurFilter(int size,
                         float sigm)

      Initializes a new instance of the GaussBlurFilterOld class.

      Parameters:
        `size` - Window size.
        `sigm` - Sigma parameter.

  - ### Method Detail

    - #### getSigm

          public float getSigm()

      Gets sigm parameter.

      Returns:
        the value of Sigma parameter.

    - #### getSize

          public int getSize()

      Gets size of a filter.

      Returns:
        the size of a filter.

    - #### setSigm

          public void setSigm(float value)

      Sets sigm parameter.

      Parameters:
        `value` - the value of Sigma parameter.

    - #### setSize

          public void setSize(int value)

      Sets size of a filter.

      Parameters:
        `value` - the size of a filter.

Copyright © 2014. All rights reserved.